Bug 186077 - [MAINTAINER-UPDATE] pkg-plist fix for www/privoxy 3.0.21
Summary: [MAINTAINER-UPDATE] pkg-plist fix for www/privoxy 3.0.21
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Kozlov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-24 15:40 UTC by Fabian Keil
Modified: 2014-01-25 16:50 UTC (History)
0 users

See Also:


Attachments
file.txt (1.56 KB, text/plain)
2014-01-24 15:40 UTC, Fabian Keil
no flags Details
patch.txt (4.25 KB, text/plain; charset=us-ascii)
2014-01-25 16:01 UTC, Alex Kozlov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2014-01-24 15:40:00 UTC
The attached patch is supposed to fix a pkg-plist issue the FreeBSD package build servers complained about. Example:
http://beefy3.isc.freebsd.org/bulk/91amd64-default/2014-01-23_15h56m33s/logs/privoxy-3.0.21_1.log

It was tested with Redports (but so was the previous patch which introduced the problem):
https://redports.org/buildarchive/20140124112149-05678/

Fix: Apply the patch (I hope).

Patch attached with submission follows:
How-To-Repeat: See the FreeBSD package build server log.
Comment 1 Alex Kozlov 2014-01-25 16:01:27 UTC
Hi, Fabian

Can you please review the attached patch?
Thanks.


-- 
Alex
Comment 2 Fabian Keil 2014-01-25 16:24:41 UTC
Alex Kozlov <spam@rm-rf.kiev.ua> wrote:

> Can you please review the attached patch?


Looks good to me. Thanks, Alex.

Fabian
Comment 3 Alex Kozlov freebsd_committer 2014-01-25 16:39:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ak

I'll take it.
Comment 4 dfilter service freebsd_committer 2014-01-25 16:39:59 UTC
Author: ak
Date: Sat Jan 25 16:39:52 2014
New Revision: 341050
URL: http://svnweb.freebsd.org/changeset/ports/341050
QAT: https://qat.redports.org/buildarchive/r341050/

Log:
  - Fix pkg-plist [1]
  - Use options helpers
  - Unmute install commands
  - Unconditionally install files for DOCS/PRIVOXY_TOOLS options
  
  PR:	ports/186077 [1]
  Submitted by:	Fabian Keil <fk@fabiankeil.de> (maintainer) [1]

Modified:
  head/www/privoxy/Makefile
  head/www/privoxy/pkg-plist

Modified: head/www/privoxy/Makefile
==============================================================================
--- head/www/privoxy/Makefile	Sat Jan 25 16:30:47 2014	(r341049)
+++ head/www/privoxy/Makefile	Sat Jan 25 16:39:52 2014	(r341050)
@@ -47,46 +47,25 @@ TOGGLE_DESC=		Support for remote togglin
 
 OPTIONS_DEFAULT=	BROKEN_STRPTIME EDITOR DOCS FORCE TOGGLE
 
-.include <bsd.port.options.mk>
+OPTIONS_SUB=	yes
 
-.if ${PORT_OPTIONS:MACCEPT_FILTER}
-CONFIGURE_ARGS+=	 --enable-accept-filter
-.endif
-
-.if ${PORT_OPTIONS:MCOMPRESSION}
-CONFIGURE_ARGS+=	 --enable-compression
-.endif
-
-.if ${PORT_OPTIONS:MDEBUG}
-CONFIGURE_ARGS+=	--with-debug
-.endif
-
-.if ! ${PORT_OPTIONS:MEDITOR}
-CONFIGURE_ARGS+=	--disable-editor
-.endif
-
-.if ! ${PORT_OPTIONS:MFORCE}
-CONFIGURE_ARGS+=	--disable-force
-.endif
-
-.if ${PORT_OPTIONS:MBROKEN_STRPTIME}
-CONFIGURE_ARGS+=	--enable-strptime-sanity-checks
-.endif
-
-.if ! ${PORT_OPTIONS:MTOGGLE}
-CONFIGURE_ARGS+=	--disable-toggle
-.endif
-
-.if ${PORT_OPTIONS:MPRIVOXY_TOOLS}
-USES+=		perl5
-USE_PERL5=	run
-RUN_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
-PLIST_SUB+=	PRIVOXY_TOOLS=""
-.else
-PLIST_SUB+=	PRIVOXY_TOOLS="@comment "
-.endif
+ACCEPT_FILTER_CONFIGURE_ON=	--enable-accept-filter
 
-PLIST_SUB+=	MAN1PREFIX=${MAN1PREFIX}
+BROKEN_STRPTIME_CONFIGURE_ON=	--enable-strptime-sanity-checks
+
+COMPRESSION_CONFIGURE_ON=	--enable-compression
+
+DEBUG_CONFIGURE_ON=	--with-debug
+
+EDITOR_CONFIGURE_OFF=	--disable-editor
+
+FORCE_CONFIGURE_OFF=	--disable-force
+
+TOGGLE_CONFIGURE_OFF=	--disable-toggle
+
+PRIVOXY_TOOLS_USES=	perl5
+PRIVOXY_TOOLS_USE=	PERL5=run
+PRIVOXY_TOOLS_RUN_DEPENDS=	curl:${PORTSDIR}/ftp/curl
 
 post-patch:
 	${REINPLACE_CMD} \
@@ -94,39 +73,33 @@ post-patch:
 		-e 's,^\(logdir\) \.,\1 /var/log/privoxy,' \
 		-e 's,^\(actionsfile user\),#\1,' \
 		-e 's,^\(filterfile user\),#\1,' \
-	${WRKSRC}/config
-.if ${PORT_OPTIONS:MDOCS}
+		${WRKSRC}/config
 	${REINPLACE_CMD} \
 		-e 's,^#\(user-manual\) http://www.privoxy.org/user-manual/,\1 ${DOCSDIR}/user-manual,' \
-	${WRKSRC}/config
-.endif
+		${WRKSRC}/config
 	${REINPLACE_CMD} \
 		-e 's,\(/etc/privoxy\),${PREFIX}\1,' ${WRKSRC}/tools/uagen.pl
 
 pre-configure:
-	@cd ${WRKSRC}; ${AUTOHEADER}
+	@(cd ${WRKSRC}; ${AUTOHEADER})
 
 do-install:
 	@${MKDIR} ${STAGEDIR}${PREFIX}/etc/privoxy/templates
-	@${INSTALL_PROGRAM} ${WRKSRC}/privoxy ${STAGEDIR}${PREFIX}/sbin
-	@${INSTALL_DATA} ${WRKSRC}/templates/[a-z]* ${STAGEDIR}${PREFIX}/etc/privoxy/templates
-.if ${PORT_OPTIONS:MPRIVOXY_TOOLS}
+	${INSTALL_PROGRAM} ${WRKSRC}/privoxy ${STAGEDIR}${PREFIX}/sbin
+	${INSTALL_DATA} ${WRKSRC}/templates/[a-z]* ${STAGEDIR}${PREFIX}/etc/privoxy/templates
 .for privoxy_tool in privoxy-log-parser.pl privoxy-regression-test.pl uagen.pl
-	@${INSTALL_SCRIPT} ${WRKSRC}/tools/${privoxy_tool} ${STAGEDIR}${PREFIX}/bin
+	${INSTALL_SCRIPT} ${WRKSRC}/tools/${privoxy_tool} ${STAGEDIR}${PREFIX}/bin
 .endfor
-.endif
 .for defaultfile in default.action default.filter regression-tests.action
-	@${INSTALL_DATA} ${WRKSRC}/${defaultfile} ${STAGEDIR}${PREFIX}/etc/privoxy
+	${INSTALL_DATA} ${WRKSRC}/${defaultfile} ${STAGEDIR}${PREFIX}/etc/privoxy
 .endfor
 	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
 .for examplefile in config match-all.action trust user.action
-	@${INSTALL_DATA} ${WRKSRC}/${examplefile} ${STAGEDIR}${EXAMPLESDIR}/
+	${INSTALL_DATA} ${WRKSRC}/${examplefile} ${STAGEDIR}${EXAMPLESDIR}/
 .endfor
-	@${INSTALL_MAN}  ${WRKSRC}/privoxy.1 ${STAGEDIR}${MAN1PREFIX}/man/man1
-.if ${PORT_OPTIONS:MDOCS}
+	${INSTALL_MAN}  ${WRKSRC}/privoxy.1 ${STAGEDIR}${MAN1PREFIX}/man/man1
 	@${MKDIR} ${STAGEDIR}${DOCSDIR}/user-manual
-	@${INSTALL_DATA} ${WRKSRC}/doc/webserver/user-manual/[a-z]* ${STAGEDIR}${DOCSDIR}/user-manual
-	@${INSTALL_DATA} ${WRKSRC}/doc/webserver/p_doc.css ${STAGEDIR}${DOCSDIR}/user-manual
-.endif
+	${INSTALL_DATA} ${WRKSRC}/doc/webserver/user-manual/[a-z]* ${STAGEDIR}${DOCSDIR}/user-manual
+	${INSTALL_DATA} ${WRKSRC}/doc/webserver/p_doc.css ${STAGEDIR}${DOCSDIR}/user-manual
 
 .include <bsd.port.mk>

Modified: head/www/privoxy/pkg-plist
==============================================================================
--- head/www/privoxy/pkg-plist	Sat Jan 25 16:30:47 2014	(r341049)
+++ head/www/privoxy/pkg-plist	Sat Jan 25 16:39:52 2014	(r341050)
@@ -2,7 +2,7 @@
 %%PRIVOXY_TOOLS%%bin/privoxy-regression-test.pl
 %%PRIVOXY_TOOLS%%bin/uagen.pl
 sbin/privoxy
-%%MAN1PREFIX%%/man/man1/privoxy.1.gz
+man/man1/privoxy.1.gz
 etc/privoxy/default.action
 etc/privoxy/default.filter
 etc/privoxy/regression-tests.action
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Alex Kozlov freebsd_committer 2014-01-25 16:40:12 UTC
State Changed
From-To: open->closed

Committed. Thanks!